Bug 121721 - variable "h" is used before its value is set
variable "h" is used before its value is set
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-26 15:16 EDT by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 16:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-04-26 15:16:06 EDT
Description of problem:

I just tried to compile Core2 Test2 package kdeutils-3.2.1-1

The compiler said

kmultiformlistbox-multivisible.cpp(119): warning #592: variable "h" is
used before its value is set

The source code is

    int h;
    if ( strcmp(child2->name(),"seperator") != 0) {
      h += extra;


Clearly broken code. Suggest re-work to avoid reading uninitialised
local variable.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marcin Garski 2004-10-14 16:53:08 EDT
Thank you for the bug report. This bug should be fixed by KDE
developers so everyone could use fixed version (not just FC users).

I've file a bug report in KDE bugzilla:
http://bugs.kde.org/show_bug.cgi?id=91345

If you want to follow what happens to the bug, you can add yourself to
the upstream report.
Comment 2 Marcin Garski 2004-10-15 11:49:20 EDT
This bug has been fixed in KDE CVS.
Comment 3 Ngo Than 2004-10-15 12:31:37 EDT
Marcin, it's great. thanks you a lot for doing that ;)

Note You need to log in before you can comment on or make changes to this bug.